{ moduleFunctions }:
let
  inherit (moduleFunctions) themesFunctions;
  currentTheme0 = themesFunctions.catppuccin-macchiato;
  # hostname = config.networking.hostName;
  # windowManagerLogic =
  #   bool1: bool2:
  #   if hostname == devicesFunctions.deviceNames.desktop then
  #     bool1
  #   else if hostname == devicesFunctions.deviceNames.laptop then
  #     bool2
  #   else
  #     bool1;
in
{
  themes = {
    windowManager = {
      gaps = 6;
      borders = 3;
      rounding = 20;
      enabled = {
        niri = false;
        hyprland = true;
        # niri = windowManagerLogic false true;
        # hyprland = windowManagerLogic true false;
      };
    };
    currentTheme = currentTheme0;
    cursor = {
      name = "";
      size = 18;
    };
    fonts = {
      name = "MonaspiceNe Nerd Font";
      sizes = {
        applications = 14;
        desktop = 12;
        popups = 10;
        terminal = 10;
      };
    };
    palettes =
      let
        palettePath = ./palettes;
        catppuccinPath = /catppuccin;
        onePath = /one;
      in
      {
        ${themesFunctions.brogrammer} = import (palettePath + /brogrammer);
        ${themesFunctions.catppuccin-frappe} = import (palettePath + catppuccinPath + /frappe);
        ${themesFunctions.catppuccin-latte} = import (palettePath + catppuccinPath + /latte);
        ${themesFunctions.catppuccin-macchiato} = import (palettePath + catppuccinPath + /macchiato);
        ${themesFunctions.catppuccin-mocha} = import (palettePath + catppuccinPath + /mocha);
        ${themesFunctions.chalk} = import (palettePath + /chalk);
        ${themesFunctions.deep-oceanic-next} = import (palettePath + /deep-oceanic-next);
        ${themesFunctions.dracula} = import (palettePath + /dracula);
        ${themesFunctions.espresso} = import (palettePath + /espresso);
        ${themesFunctions.flat} = import (palettePath + /flat);
        ${themesFunctions.framer} = import (palettePath + /framer);
        ${themesFunctions.github} = import (palettePath + /github);
        ${themesFunctions.hardcore} = import (palettePath + /hardcore);
        ${themesFunctions.one-black} = import (palettePath + onePath + /black);
        ${themesFunctions.one-dark} = import (palettePath + onePath + /dark);
        ${themesFunctions.one-light} = import (palettePath + onePath + /light);
        ${themesFunctions.sparky} = import (palettePath + /sparky);
      };
  };
}
